
body {
    font-family: 'Roboto';
    background-image: linear-gradient(to top, #cfd9df 0%, #e2ebf0 100%);

    @media (max-width: 320px) {
        width: 320px;
    }
}

.main {
    .payment {
        background-color: $white;
        height: 100vh;
        max-width: 768px;
        width: 100%;
        margin: 0 auto;
        padding: 30px;

        &__logo {
            margin: 0 auto;
            display: block;
            margin-bottom: 50px;
        }

        &__title {
            font-size: 30px;
            margin-bottom: 30px;
        }

        &__wrapper {
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            height: calc(100% - 140px);
            gap: 30px;

            .content {
                display: flex;
                flex-direction: column;
                gap: 16px;
                overflow-y: scroll;

                &::-webkit-scrollbar-track {
                    -webkit-box-shadow: inset;
                    background-color: transparent;
                }

                &::-webkit-scrollbar {
                    width: 6px;
                    background-color: transparent;
                }

                &::-webkit-scrollbar-thumb {
                    background-color: transparent;
                }
    
                .block {
                    &__title {
                        font-size: 22px;
                        font-weight: 300;
                    }
         
                    &__info {
                         padding: 20px;
                         display: flex;
                         flex-direction: column;
                         gap: 15px;
                         
         
                         .product {
                             display: flex;
                             justify-content: space-between;
                             font-weight: 300;
                             font-size: 16px;
                            
         
                             &__link {
                                 color: $blue;
                                 overflow: hidden;
                                 display: -webkit-box;
                                 -webkit-line-clamp: 1;
                                 -webkit-box-orient: vertical;
                                 max-width: 500px;
                                 width: 100%;
                                 text-decoration: underline;
    
                                 &:hover {
                                    color: $red;
                                }
                             }
                         }
                    }
    
                    .tabs {
                        display: flex;
                        justify-content: space-between;
                        gap: 16px;
                        margin-top: 20px;

                        @media (max-width: 375px) {
                            flex-direction: column;
                        }
    
    
                        &__btn {
                            border: 1px solid $gray;
                            width: 100%;
                            height: 45px;
                            border-radius: 5px;
                            color: $blue;
    
                            &:hover {
                                border: 1px solid $blue;
                            }
                        }
    
                        .active {
                            background-color: $blue;
                            color: $white;
                            border: 1px solid $blue;
                        }
                    }
    
                    .contents {
                        margin-top: 20px;
    
                        &__item {
                            .border {
                                max-width: 390px;
                                width: 100%;
                                border: 1px solid $grayLight;
                                padding: 20px;
                                border-radius: 5px;
                                display: flex;
                                flex-direction: column;
                                gap: 15px;

                                @media (max-width: 576px) {
                                    max-width: 100%;
                                }
                            }
    
                            .wrapper {
                                display: flex;
                                flex-direction: column;
    
                                .label {
                                    font-size: 15px;
                                    margin-bottom: 5px;
    
                                    span {
                                        color: $red;
                                    }
                                }
    
                                .input {
                                    border: 1px solid $gray;
                                    height: 40px;
                                    text-indent: 8px;

                                    &::placeholder {
                                        font-size: 16px;
                                        color: $gray;
                                    }
                                }

                                .input.error {
                                    border: 1px solid $red;
                                }

                                .input.success {
                                    border: 1px solid $green;
                                }
    
                                .date {
                                    width: 80px;
                                    text-indent: 8px;
                                }
                            }
                        }
    
                        .credit-card {
                            display: flex;

                            @media (max-width: 576px) {
                                flex-direction: column;
                                border: 1px solid $grayLight;

                                .border {
                                    border: none;
                                }
                            }

                            .code {
                                position: relative;
                                padding: 20px;

                                @media (max-width: 576px) {
                                    padding: 0px 20px 20px 20px;
                                    width: fit-content;
                                }
    
                                .input {
                                    width: 100px;
                                }

                                .question {
                                    position: absolute;
                                    display: flex;
                                    top: 53px;
                                    right: 26px;
                                    cursor: pointer;

                                    &:hover {
                                        ~.clue {
                                            overflow: visible;
                                            opacity: 1;
                                        }
                                    }

                                    @media (max-width: 576px) {
                                        top: 33px;
                                    }
                                }

                                .clue {
                                    position: absolute;
                                    background-color: $gray;
                                    border-radius: 5px;
                                    color: $white;
                                    font-size: 12px;
                                    padding: 8px;
                                    width: 150px;
                                    display: block;
                                    top: 90px;
                                    overflow: hidden;
                                    opacity: 0;
                                    transition: 0.3s ease;

                                    @media (max-width: 768px) {
                                        width: 100px;
                                    }

                                    @media (max-width: 576px) {
                                        top: 7px;
                                        right: -90px;
                                    }
                                }
                            }

                            .border {
                                .wrapper {
                                    position: relative;

                                    .card {
                                        position: absolute;
                                        display: flex;
                                        top: 23px;
                                        right: 7px;
                                    }
                                }
                            }
                        }

                        .pay-pal {
                            &__btn {
                                border: 1px solid $blue;
                                height: 56px;
                                max-width: 55%;
                                width: 100%;
                                border-radius: 5px;
                                display: flex;
                                align-items: center;
                                justify-content: center;
                                gap: 5px;
                                color: $blue;

                                &:hover {
                                    background-color: $blue;
                                    color: $white;
                                }
                            }
                        }

                        .tab-content {
                            overflow: hidden;
                            visibility: hidden;
                            height: 0;
                            opacity: 0;
                            transition: 0.3s ease;
                        }

                        .tab-content.active {
                            overflow: visible;
                            visibility: visible;
                            height: auto;
                            opacity: 1;
                        }
                    }    
                }
            }
    
            .order {
                &__tearms {
                    padding: 15px;
                    border: 1px solid $grayLight;
                    background-color: $whitedDark;
                    border-radius: 5px;
                    margin-bottom: 20px;

                    .label {
                        font-size: 15px;
                        font-weight: 300;

                        .tearms__btn {
                            color: $grayPurple;
                            border-bottom: 1px dotted $grayPurple;
                            font-weight: 300;

                            &:hover {
                                color: $red;
                                border-bottom: 1px dotted $red;
                            }
                        }
                    }
                }

                &__tearms.error {
                    border: 1px solid $red;
                }

                &__tearms.success {
                    border: 1px solid $green;
                }
        

                &__btn {
                    background-color: $red;
                    color: $white;
                    width: 100%;
                    height: 51px;
                    border-radius: 5px;

                    &:hover {
                        background-color: $redDark;
                    }
                }   
            }
        }
    }
}